【WordPress】wp-config.phpの最終行には設定を追加してはいけない




WordPressの設定をカスタマイズするときにwp-config.phpを追加するときに1点注意点があります。
それは最終行には追加してはいけないということです。
プログラムをよく見れば下から10行目くらいのところにしっかり以下のことが書いてあります。

/* 編集が必要なのはここまでです ! WordPress でのパブリッシングをお楽しみください。 */

この行の下には

/** Sets up WordPress vars and included files. */
require_once(ABSPATH . 'wp-settings.php');

というデフォルト値設定など重要な処理が行われているファイルが読み込まれているためです。
そのため、最終行に追加しても設定が反映されないことになります。
むしろエラー表示をONにするとエラーが発生していることもわかります。

まとめ

wp-config.phpに設定値を追加する場合は以下の行より上に設定を記述する必要があります。

/* 編集が必要なのはここまでです ! WordPress でのパブリッシングをお楽しみください。 */